%define majver %(echo %version | cut -d. -f1-2)

Name:          kdepim-addons
Version:       18.08.0
Release:       1mamba
Summary:       KDE Frameworks 5 PIM addons
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kdepim-addons-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdepim-apps-libs-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-calendar-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-notes-devel
BuildRequires: libassuan-devel
BuildRequires: libcalendarsupport-devel
BuildRequires: libeventviews-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgrantlee-devel
BuildRequires: libgrantleetheme-devel
BuildRequires: libgravatar-devel
BuildRequires: libincidenceeditor-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkitinerary-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkpkpass-devel
BuildRequires: libkprison-devel
BuildRequires: libkservice-devel
BuildRequires: libksieve-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libktnef-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyntax-highlighting-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 PIM addons.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kdepim-addons.*categories
%{_sysconfdir}/xdg/kmail.antispamrc
%{_sysconfdir}/xdg/kmail.antivirusrc
%{_bindir}/kmail_*.sh
%{_datadir}/contacteditor/grantleetheme/default/addresseslocation.*
#%{_datadir}/mime/packages/application-vnd-apple-pkpass.xml
%{_datadir}/kconf_update/webengineurlinterceptoradblock.upd
%{_datadir}/kmail2/pics/kmwizard.png
%{_datadir}/kmail2/pics/kmwizard.svg
%{_datadir}/kservices5/korganizer/datenums.desktop
%{_datadir}/kservices5/korganizer/picoftheday.desktop
%{_datadir}/kservices5/korganizer/thisdayinhistory.desktop
%doc COPYING COPYING.LIB

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libadblocklibprivate.so.*
%{_libdir}/libkaddressbookmergelibprivate.so.*
%{_libdir}/libshorturlpluginprivate.so.*
%{_libdir}/qt5/plugins/libksieve/emaillineeditplugin.so
%{_libdir}/qt5/plugins/kaddressbook/kaddressbook_*.so
%{_libdir}/qt5/plugins/kmail/kmail_*.so
%{_libdir}/qt5/plugins/korg_*.so
%{_libdir}/libkaddressbookimportexportlibprivate.so.*
%{_libdir}/contacteditor/editorpageplugins/cryptopageplugin.so
%{_libdir}/qt5/plugins/contacteditor/addresslocationeditorplugin.so
%{_libdir}/qt5/plugins/libksieve/imapfoldercompletionplugin.so
%{_libdir}/qt5/plugins/libksieve/regexpeditorlineeditplugin.so
%{_libdir}/qt5/plugins/mailtransport/mailtransport_sendplugin.so
%{_libdir}/qt5/plugins/messageviewer/messageviewer_*.so
%{_libdir}/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_*.so
%{_libdir}/qt5/plugins/messageviewer/grantlee/5.0/kitinerary_grantlee_extension.so
%{_libdir}/qt5/plugins/pimcommon/pimcommon_*.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/pimevents.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/pimevents/PimEventsConfig.qml
%{_libdir}/qt5/plugins/webengineviewer/webengineviewer_adblockplugin.so
%{_libdir}/qt5/plugins/webengineviewer/webengineviewer_donottrackplugin.so
%{_libdir}/qt5/plugins/templateparser/templateparseraddressrequesterplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/PimCalendars/*

%changelog
* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Sat Jul 14 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Fri Jun 15 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Mon May 14 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat May 05 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Sun Feb 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Tue Jan 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Thu Aug 31 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Sun Feb 05 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.3-1mamba
- update to 16.08.3

* Fri Sep 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.1-1mamba
- package created using the webbuild interface
